package w83b.w83bBeans;

import java.sql.ResultSet;


import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;

public class W83bHistorialActaBean extends W83bBaseBean implements W83bBaseBeanBD{
	
	private static final long	serialVersionUID	= 1L;

	private String fecha_actuacion;
	
	private String dia_actuacion;
	private String hora_actuacion;
	private String descripcion;
	private String usuario;
	public String getFecha_actuacion() {
		return fecha_actuacion;
	}
	public void setFecha_actuacion(String fecha_actuacion) {
		this.fecha_actuacion = fecha_actuacion;
	}
	public String getDia_actuacion() {
		return dia_actuacion;
	}
	public void setDia_actuacion(String dia_actuacion) {
		this.dia_actuacion = dia_actuacion;
	}
	public String getHora_actuacion() {
		return hora_actuacion;
	}
	public void setHora_actuacion(String hora_actuacion) {
		this.hora_actuacion = hora_actuacion;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public String getUsuario() {
		return usuario;
	}
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
		this.fecha_actuacion=W83bDataBase.getStringFromRS(rs, W83bActasBD.his_factu);
		this.descripcion=W83bDataBase.getStringFromRS(rs, W83bActasBD.descripcion);
		this.usuario=W83bDataBase.getStringFromRS(rs, W83bActasBD.his_usu);
		
		return this;
	}
	
	
}
